from pkg_resources import resource_string

AVAILABLE_PINS = range(0, 28)
"""Pins available for Configuration"""
DEFAULT_CONFIG = resource_string(__name__, 'client.ini').decode()
"""Default configfile, that is used as a Fallback if no other configuration exists."""
CONFIG_FILES = ('~/.config/carom/client.ini', '/etc/carom/client.ini')
"""Order of resolution of Config Files. Files are tried in order, first one found is used."""
